var gulp = require('gulp');
var aglio = require('gulp-aglio');
var rename = require("gulp-rename");
var server = require('gulp-server-livereload');

var docsDir = './resources/assets/docs/';
var docsDistDir = './docs/';

// Process the blueprints
gulp.task('docs', function () {
  gulp.src(docsDir + 'authentication.md')
    .pipe(aglio({template: 'slate', includePath: docsDir}))
    .pipe(rename('index.html'))
    .pipe(gulp.dest(docsDistDir));
});

// Watch the blueprints for changes
gulp.task('watch-docs', function() {
  gulp.src(docsDistDir)
    .pipe(server({
      livereload: true,
      open: true
    }));
  gulp.watch(docsDir + '*.md', ['docs']);
});

// Set up the default task
gulp.task('default', ['docs']);
