<?php

namespace spec\Myriad\Authentication\Lib\Guards;

use Illuminate\Contracts\Auth\Guard;
use Illuminate\Contracts\Auth\UserProvider;
use Illuminate\Http\Request;
use Myriad\Authentication\Lib\Guards\AccessTokenGuard;
use PhpSpec\ObjectBehavior;

class AccessTokenGuardSpec extends ObjectBehavior
{
    function let(UserProvider $userProvider, Request $request)
    {
        $this->beConstructedWith($userProvider, $request);
    }

    function it_is_initializable()
    {
        $this->shouldHaveType(AccessTokenGuard::class);
    }

    function it_should_implement_guard_interface()
    {
        $this->shouldImplement(Guard::class);
    }
}
