<?php


namespace Myriad\Authentication\Models;

use Illuminate\Database\Eloquent\Relations\MorphMany;

trait OwnsAccessTokens
{

    /**
     * Returns the access tokens for a model
     *
     * @return MorphMany
     */
    public function accessTokens(): MorphMany
    {
        return $this->morphMany(AccessToken::class, 'owner');
    }

}
