<?php

namespace Myriad\Authentication;

use Illuminate\Contracts\Foundation\Application;
use Illuminate\Foundation\Support\Providers\EventServiceProvider as BaseServiceProvider;

class EventServiceProvider extends BaseServiceProvider
{
    /**
     * @var array
     */
    protected $listen;

    /**
     * Setup the Event Service Provider
     *
     * @param  Application  $app
     * @return void
     */
    public function __construct(Application $app)
    {
        $this->listen = config('authentication.events');

        parent::__construct($app);
    }

}
