<?php

namespace Myriad\Authentication\Lib\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class SendRegistrationPhoneVerification implements ShouldQueue
{
    use Queueable, InteractsWithQueue, SerializesModels;

    /**
     * @var string
     */
    private $firstName;
    /**
     * @var string
     */
    private $lastName;
    /**
     * @var string
     */
    private $phone;
    /**
     * @var string
     */
    private $type;
    /**
     * @var string
     */
    private $password;

    /**
     * Create a new job instance.
     *
     * @param  string  $firstName
     * @param  string  $lastName
     * @param  string  $phone
     * @param  string  $type
     * @param  string  $password
     */
    public function __construct(
        string $firstName,
        string $lastName,
        string $phone,
        string $type,
        string $password
    ) {

        $this->firstName = $firstName;
        $this->lastName = $lastName;
        $this->phone = $phone;
        $this->type = $type;
        $this->password = $password;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        //
    }
}
