<?php

namespace Myriad\Authentication\Lib\Strategies;

trait GeneratesCodes
{

    function generateCode($length, $keyspace = '3479abcdefghijkmnopqrstuvwxyzACEFHJKLMNPRTUVWXY')
    {
        $str = '';
        $max = mb_strlen($keyspace, '8bit') - 1;
        for ($i = 0; $i < $length; ++$i) {
            $str .= $keyspace[random_int(0, $max)];
        }
        return $str;
    }

    function generateAutofillCode($length, $keyspace = '0123456789')
    {
        $str = '';
        $max = mb_strlen($keyspace, '8bit') - 1;
        for ($i = 0; $i < $length; ++$i) {
            $str .= $keyspace[random_int(0, $max)];
        }
        return $str;
    }
}
