<?php

namespace Myriad\Authentication\Lib\Strategies;

interface IVerificationStrategy
{

    /**
     * Verify that $code matches with $data and perform logic
     * necessary to return the user associated with the token.
     *
     * @param  mixed  $code
     * @param  array  $data
     */
    public function performVerificationStrategy($code, array $data);

}
